aboutsummaryrefslogtreecommitdiff
path: root/test/rules/android_sdk_repository/test_lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/rules/android_sdk_repository/test_lib.sh')
-rw-r--r--test/rules/android_sdk_repository/test_lib.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/rules/android_sdk_repository/test_lib.sh b/test/rules/android_sdk_repository/test_lib.sh
index 17d2485..a5abbba 100644
--- a/test/rules/android_sdk_repository/test_lib.sh
+++ b/test/rules/android_sdk_repository/test_lib.sh
@@ -33,6 +33,21 @@ source "$(rlocation rules_android/test/rules/android_sdk_repository/android_help
# Actual tests for Android Sdk Repository
+# Test that the dummy SDK exists.
+function test_dummy_sdk() {
+ # Create android SDK
+ local sdk_path="$(create_android_sdk_basic)"
+
+ cat >> WORKSPACE <<EOF
+android_sdk_repository(
+ name = "androidsdk",
+ path = "${sdk_path}",
+)
+EOF
+
+ "${BIT_BAZEL_BINARY}" query @androidsdk//:sdk-dummy >& $TEST_log || fail "Dummy SDK missing"
+}
+
# Check that the empty BUILD file was created.
function test_android_sdk_repository_no_path_or_android_home() {
cat >> WORKSPACE <<EOF